> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# NVIDIA 하드웨어

> 지정된 모델에 대해 사용 가능한 하드웨어와 가격을 반환합니다.

NVIDIA가 사용자에게 사용 가능한 옵션을 보여 주고, 당사가 지원하는 항목에 따라 리디렉션할 수 있도록 호출하는 API입니다. 서버리스 옵션만 반환됩니다.



## OpenAPI

````yaml /ko/weave/reference/service-api/openapi.json get /inference/nvidia/v2/hardware
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /inference/nvidia/v2/hardware:
    get:
      tags:
        - Inference
      summary: NVIDIA 하드웨어
      description: >-
        지정된 모델에 대해 사용 가능한 하드웨어와 가격을 반환합니다.


        NVIDIA가 사용자에게 사용 가능한 옵션을 보여 주고, 당사가 지원하는 항목에 따라 리디렉션할 수 있도록 호출하는 API입니다.
        서버리스 옵션만 반환됩니다.
      operationId: nvidia_hardware_inference_nvidia_v2_hardware_get
      parameters:
        - description: 퍼블리셔 접두사를 제외한 모델 이름
          in: query
          name: model
          required: true
          schema:
            description: 퍼블리셔 접두사를 제외한 모델 이름
            title: Model
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NvidiaHardwareRes'
          description: 성공 응답
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - HTTPBearer: []
components:
  schemas:
    NvidiaHardwareRes:
      properties:
        hardware:
          items:
            $ref: '#/components/schemas/NvidiaHardwareOption'
          title: Hardware
          type: array
      required:
        - hardware
      title: NvidiaHardwareRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    NvidiaHardwareOption:
      properties:
        id:
          title: Id
          type: string
        name:
          title: Name
          type: string
        pricing:
          $ref: '#/components/schemas/NvidiaServerlessPricing'
        specs:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Specs
        type:
          title: Type
          type: string
      required:
        - id
        - name
        - type
        - pricing
      title: NvidiaHardwareOption
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
    NvidiaServerlessPricing:
      properties:
        cents_per_million_input_tokens:
          title: Cents Per Million Input Tokens
          type: number
        cents_per_million_output_tokens:
          title: Cents Per Million Output Tokens
          type: number
      required:
        - cents_per_million_input_tokens
        - cents_per_million_output_tokens
      title: NvidiaServerlessPricing
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````